## tinysmb 1.0.0

=== Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -O $(WARN) -I ./src/SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread

maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/opt/usr/bin
	mkdir -p $(DESTDIR)/etc/tinysmb
	mkdir -p $(DESTDIR)/etc/init.d
	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp tinysmbd $(DESTDIR)/opt/usr/bin/tinysmbd
	cp tinypasswd $(DESTDIR)/etc/tinysmb/tinypasswd
	cp tinysmb.conf $(DESTDIR)/etc/tinysmb/tinysmb.conf
	cp tinysmbd.sudoers $(DESTDIR)/etc/sudoers.d/tinysmbd.sudoers
	cp tinysmb.initd $(DESTDIR)/etc/init.d/tinysmb


all:	tinysmbd

tinysmbd: tinysmb.o ./src/SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


./src/SmbLibrary/SmbServer.a:
	rm   -f ./src/SmbLibrary/SmbServer.a
	make -f ./src/SmbLibrary/Makefile
	mv   -f  ./SmbServer.a ./src/SmbLibrary/SmbServer.a

tinysmb.o: ./src/TinySmb.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

clean:
	rm -f *.o
	rm -f tinysmbd
