=== debian/changelog ===
tinysmb (1.0.0) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Karl Wintermann <karl_wintermann@gmx.de>  Sat, 28 Aug 2010 17:40:58 +0200
