=== debian/control ===
Source: tinysmb
Section: user/network
Priority: optional
Maintainer: Karl Wintermann <karl_wintermann@gmx.de>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: tinysmb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small SMB Server
 TinySmb is a small SMB server for embedded systems.
 A SMB server allows the access to local files via network. 
 TinySmb for Maemo is a port of Anton Zechners AzSmb
 www: http://members.inode.at/anton.zechner/az/index.html
 mail: az_software@inode.at
 Copyright: Anton Zechner, 2003
