## tinysmb 1.0.8maemo1

=== Makefile ===
maemo-install:
	rm -rf $(DESTDIR)
	mkdir -p $(DESTDIR)/opt/usr/bin
	mkdir -p $(DESTDIR)/etc/tinysmb
	mkdir -p $(DESTDIR)/etc/init.d
	mkdir -p $(DESTDIR)/etc/sudoers.d
	cp src/TinySmb/tinysmbd $(DESTDIR)/opt/usr/bin/tinysmbd
	cp tinypasswd $(DESTDIR)/etc/tinysmb/tinypasswd
	cp tinysmb.conf $(DESTDIR)/etc/tinysmb/tinysmb.conf
	cp tinysmbd.sudoers $(DESTDIR)/etc/sudoers.d/tinysmbd.sudoers
	cp tinysmb.initd $(DESTDIR)/etc/init.d/tinysmb


all:
	make -C src/TinySmb all

clean:
	make -C src/SmbLibrary clean
	make -C src/TinySmb clean
