=== src/SmbDemoLinux/Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -g $(WARN) -I ../SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread
ifdef USE_OPENSSL
LDFLAGS    += -lssl
export USE_OPENSSL
endif

all:	SmbDemo

SmbDemo: SmbDemo.o ../SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


../SmbLibrary/SmbServer.a::
	$(MAKE) -C ../SmbLibrary

SmbDemo.o: SmbDemo.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

.PHONY: clean
clean:
	rm -f SmbDemo *.o *.a
	$(MAKE) -C ../SmbLibrary clean
