=== src/TinySmb/Makefile ===



WARN		= -Wfatal-errors -Wformat -Wformat-y2k -Wformat-nonliteral	\
			  -Winit-self -Wimplicit  -Wformat-security					\
			  -Wreturn-type -Wunused-function -Wunused-label 			\
			  -Wunused-variable -Wunused-value -Wuninitialized 			\
			  -Wundef -Wpointer-arith

CPPFLAGS 	= -c -O $(WARN) -I ../SmbServer
LDFLAGS 	= -lstdc++ -ldl -lpthread

all:	tinysmbd

tinysmbd: tinysmb.o ../SmbLibrary/SmbServer.a
	$(CC) $(LDFLAGS) $^ -o $@


../SmbLibrary/SmbServer.a:
	rm   -f ../SmbLibrary/SmbServer.a
	make -f ../SmbLibrary/Makefile
	mv   -f  ./SmbServer.a ../SmbLibrary/SmbServer.a

tinysmb.o: TinySmb.cpp
	$(CC) $(CPPFLAGS)  $^ -o $@

clean:
	rm -f tinysmb *.o
