=== debian/changelog ===
tinysmb (1.0.8maemo1) unstable; urgency=low

  * Bumped to 1.0.8

 -- Ludek Finstrle <luf@pzkagis.cz>  Mon, 08 Apr 2013 16:09:44 +0200

tinysmb (1.0.6maemo2) unstable; urgency=low

  * Nmb listen also on broadcast address

 -- Ludek Finstrle <luf@pzkagis.cz>  Mon, 08 Apr 2013 13:30:21 +0200
