=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tinysmb
 Section: user/network
 Priority: optional
-Maintainer: Karl Wintermann <karl_wintermann@gmx.de>
+Maintainer: Ludek Finstrle <luf@pzkagis.cz>
 Build-Depends: debhelper (>= 5)
 Standards-Version: 3.7.2
